# 7z

> A file archiver with high compression ratio.

- Archive a file or folder:

`7z a {{archived.7z}} {{path/to/file}}`

- Encrypt an existing archive (including headers):

`7z a {{encrypted.7z}} -p{{password}} -mhe {{archived.7z}}`

- Extract an existing 7z file with original directory structure:

`7z x {{archived.7z}}`

- Extract an archive with user-defined output path:

`7z x {{archived.7z}} -o{{path/to/output}}`

- Archive using a specific archive type:

`7z a -t {{zip|gzip|bzip2|tar|...}} {{archived.7z}} {{path/to/file}}`

- List available archive types:

`7z i`

- List the contents of an archive file:

`7z l {{archived.7z}}`
