# rbenv

> A tool to easily install Ruby versions and manage application environments.

- Install one or more space-separated versions of Ruby:

`rbenv install {{version(s)}}`

- Display a list of installed versions:

`rbenv versions`

- Use a specific version of Ruby across the whole system:

`rbenv global {{version}}`

- Use a specific version of Ruby for an application/project folder:

`rbenv local {{version}}`

- Show the currently selected Ruby version:

`rbenv version`

- Uninstall a version of Ruby:

`rbenv uninstall {{version}}`

- Display all ruby versions that contain the specified executable:

`rbenv whence {{executable}}`
